#!/usr/bin/perl -w

use Test::More 'no_plan';

package Catch;

sub TIEHANDLE {
    my($class, $var) = @_;
    return bless { var => $var }, $class;
}

sub PRINT  {
    my($self) = shift;
    ${'main::'.$self->{var}} .= join '', @_;
}

sub OPEN  {}    # XXX Hackery in case the user redirects
sub CLOSE {}    # XXX STDERR/STDOUT.  This is not the behavior we want.

sub READ {}
sub READLINE {}
sub GETC {}
sub BINMODE {}

my $Original_File = 'root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/remoteaccess.pm';

package main;

# pre-5.8.0's warns aren't caught by a tied STDERR.
$SIG{__WARN__} = sub { $main::_STDERR_ .= join '', @_; };
tie *STDOUT, 'Catch', '_STDOUT_' or die $!;
tie *STDERR, 'Catch', '_STDERR_' or die $!;

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 79 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/remoteaccess.pm

$ENV{ESMITH_CONFIG_DB} = "10e-smith-base/configuration.conf";

use_ok('esmith::FormMagick::Panel::remoteaccess');
use vars qw($panel);
ok($panel = esmith::FormMagick::Panel::remoteaccess->new(), 
	"Create panel object");
isa_ok($panel, 'esmith::FormMagick::Panel::remoteaccess');


    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 379 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/remoteaccess.pm
ok($panel->_get_valid_from(), "_get_valid_from");

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 400 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/remoteaccess.pm
$panel->{cgi} = CGI->new();
$panel->{cgi}->param(-name=>'validFromNetwork',-value=>'1.2.3.4');
$panel->{cgi}->param(-name=>'validFromMask',-value=>'255.255.255.255');
is($panel->add_new_valid_from(), '', 'add_new_valid_from');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 486 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/remoteaccess.pm
$panel->{cgi}->param(-name=>'validFromNetwork', -value=>'1.2.3.4');
$panel->{cgi}->param(-name=>'validFromMask', -value=>'255.255.255.255');
is($panel->remove_valid_from(), '', 'remove_valid_from');

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

{
    undef $main::_STDOUT_;
    undef $main::_STDERR_;
#line 541 root/usr/lib/perl5/site_perl/esmith/FormMagick/Panel/remoteaccess.pm
$panel->{cgi}->param(-name=>'validFromNetwork', -value=>'5.4.3.2');
$panel->{cgi}->param(-name=>'validFromMask', -value=>'255.255.255.255');
$panel->add_new_valid_from();
$panel->{source} = qq(<form><page name="RemoveValidFrom"></page></form>);
$panel->parse_xml();
$panel->show_valid_from_list();
like($_STDOUT_, qr/VALIDFROM_DESC/, 'show_valid_from_list');
like($_STDOUT_, qr/5.4.3.2/, '  .. saw the network listed');
like($_STDOUT_, qr/REMOVE/, ' .. saw the remove button');
$panel->remove_valid_from();

    undef $main::_STDOUT_;
    undef $main::_STDERR_;
}

